Package io.vertx.ext.consul

## Class CheckList

- java.lang.Object
- - io.vertx.ext.consul.CheckList

-     public class CheckList
      extends Object

  Holds result of checks query
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckList()` | Default constructor
    `CheckList​(JsonObject json)` | Constructor from JSON
    `CheckList​(CheckList other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `long` | `getIndex()` | Get Consul index
    `List<Check>` | `getList()` | Get list of checks
    `int` | `hashCode()` |
    `CheckList` | `setIndex​(long index)` | Set Consul index, a unique identifier representing the current state of the requested list of checks
    `CheckList` | `setList​(List<Check> list)` | Set list of checks
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckList

          public CheckList()

      Default constructor

    - #### CheckList

          public CheckList​(CheckList other)

      Copy constructor
      Parameters:
        `other` - the one to copy

    - #### CheckList

          public CheckList​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getIndex

          public long getIndex()

      Get Consul index
      Returns:
        the consul index

    - #### setIndex

          public CheckList setIndex​(long index)

      Set Consul index, a unique identifier representing the current state of the requested list of checks
      Parameters:
        `index` - the consul index
      Returns:
        reference to this, for fluency

    - #### getList

          public List<Check> getList()

      Get list of checks
      Returns:
        the list of checks

    - #### setList

          public CheckList setList​(List<Check> list)

      Set list of checks
      Parameters:
        `list` - the list of checks
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`